<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>VueJS V2 Listas | Rimorsoft Online</title>
  </head>
  <body>
    <div id="main">
      <ul>
        <li v-for="item in people">{{ item }}</li>
        <!-- <li v-for="item in people" v-text="item"></li> (Segunda forma con directiva Vuejs)-->
      </ul>
      <input type="text" v-model="name" v-on:keyup.enter="addName" />
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>

    <script type="text/javascript">
      new Vue({
        el: '#main',
        data: {
          people: ['Lynda', 'Isabella', 'Diana', 'Luisa'],
        },
        name: '',
        methods: {
          addName: function () {
            this.people.push(this.name)
            this.name = ''
          },
        },
      })
    </script>
  </body>
</html>
